org.keycloak

## Interface WebAuthnConstants

-     public interface WebAuthnConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALLOWED_AUTHENTICATORS`
    `static String` | `ATTESTATION_CONVEYANCE_PREFERENCE`
    `static String` | `ATTESTATION_OBJECT`
    `static String` | `AUTH_CHALLENGE_NOTE`
    `static String` | `AUTHENTICATOR_ATTACHMENT`
    `static String` | `AUTHENTICATOR_DATA`
    `static String` | `AUTHENTICATOR_LABEL`
    `static String` | `CHALLENGE`
    `static String` | `CLIENT_DATA_JSON`
    `static String` | `CREATE_TIMEOUT`
    `static String` | `CREDENTIAL_ID`
    `static String` | `ERROR`
    `static String` | `EXCLUDE_CREDENTIAL_IDS`
    `static String` | `IS_SET_RETRY`
    `static String` | `IS_USER_IDENTIFIED`
    `static String` | `OPTION_DISCOURAGED`
    `static String` | `OPTION_NOT_SPECIFIED`
    `static String` | `OPTION_PREFERED`
    `static String` | `OPTION_REQUIRED`
    `static String` | `ORIGIN`
    `static String` | `PUBKEY_CRED_AAGUID_ATTR`
    `static String` | `PUBKEY_CRED_ID_ATTR`
    `static String` | `PUBKEY_CRED_LABEL_ATTR`
    `static String` | `PUBLIC_KEY_CREDENTIAL_ID`
    `static String` | `REQUIRE_RESIDENT_KEY`
    `static String` | `RP_ENTITY_NAME`
    `static String` | `RP_ID`
    `static String` | `SIGNATURE`
    `static String` | `SIGNATURE_ALGORITHMS`
    `static String` | `USER_HANDLE`
    `static String` | `USER_ID`
    `static String` | `USER_NAME`
    `static String` | `USER_VERIFICATION`
    `static String` | `USER_VERIFICATION_REQUIREMENT`

- - ### Field Detail

    - #### USER_ID

          static final String USER_ID

      See Also:
        Constant Field Values

    - #### USER_NAME

          static final String USER_NAME

      See Also:
        Constant Field Values

    - #### CHALLENGE

          static final String CHALLENGE

      See Also:
        Constant Field Values

    - #### ORIGIN

          static final String ORIGIN

      See Also:
        Constant Field Values

    - #### ERROR

          static final String ERROR

      See Also:
        Constant Field Values

    - #### PUBLIC_KEY_CREDENTIAL_ID

          static final String PUBLIC_KEY_CREDENTIAL_ID

      See Also:
        Constant Field Values

    - #### CREDENTIAL_ID

          static final String CREDENTIAL_ID

      See Also:
        Constant Field Values

    - #### CLIENT_DATA_JSON

          static final String CLIENT_DATA_JSON

      See Also:
        Constant Field Values

    - #### AUTHENTICATOR_DATA

          static final String AUTHENTICATOR_DATA

      See Also:
        Constant Field Values

    - #### SIGNATURE

          static final String SIGNATURE

      See Also:
        Constant Field Values

    - #### USER_HANDLE

          static final String USER_HANDLE

      See Also:
        Constant Field Values

    - #### ATTESTATION_OBJECT

          static final String ATTESTATION_OBJECT

      See Also:
        Constant Field Values

    - #### AUTHENTICATOR_LABEL

          static final String AUTHENTICATOR_LABEL

      See Also:
        Constant Field Values

    - #### RP_ENTITY_NAME

          static final String RP_ENTITY_NAME

      See Also:
        Constant Field Values

    - #### SIGNATURE_ALGORITHMS

          static final String SIGNATURE_ALGORITHMS

      See Also:
        Constant Field Values

    - #### RP_ID

          static final String RP_ID

      See Also:
        Constant Field Values

    - #### ATTESTATION_CONVEYANCE_PREFERENCE

          static final String ATTESTATION_CONVEYANCE_PREFERENCE

      See Also:
        Constant Field Values

    - #### AUTHENTICATOR_ATTACHMENT

          static final String AUTHENTICATOR_ATTACHMENT

      See Also:
        Constant Field Values

    - #### REQUIRE_RESIDENT_KEY

          static final String REQUIRE_RESIDENT_KEY

      See Also:
        Constant Field Values

    - #### USER_VERIFICATION_REQUIREMENT

          static final String USER_VERIFICATION_REQUIREMENT

      See Also:
        Constant Field Values

    - #### CREATE_TIMEOUT

          static final String CREATE_TIMEOUT

      See Also:
        Constant Field Values

    - #### EXCLUDE_CREDENTIAL_IDS

          static final String EXCLUDE_CREDENTIAL_IDS

      See Also:
        Constant Field Values

    - #### ALLOWED_AUTHENTICATORS

          static final String ALLOWED_AUTHENTICATORS

      See Also:
        Constant Field Values

    - #### IS_USER_IDENTIFIED

          static final String IS_USER_IDENTIFIED

      See Also:
        Constant Field Values

    - #### USER_VERIFICATION

          static final String USER_VERIFICATION

      See Also:
        Constant Field Values

    - #### IS_SET_RETRY

          static final String IS_SET_RETRY

      See Also:
        Constant Field Values

    - #### PUBKEY_CRED_ID_ATTR

          static final String PUBKEY_CRED_ID_ATTR

      See Also:
        Constant Field Values

    - #### PUBKEY_CRED_LABEL_ATTR

          static final String PUBKEY_CRED_LABEL_ATTR

      See Also:
        Constant Field Values

    - #### PUBKEY_CRED_AAGUID_ATTR

          static final String PUBKEY_CRED_AAGUID_ATTR

      See Also:
        Constant Field Values

    - #### AUTH_CHALLENGE_NOTE

          static final String AUTH_CHALLENGE_NOTE

      See Also:
        Constant Field Values

    - #### OPTION_REQUIRED

          static final String OPTION_REQUIRED

      See Also:
        Constant Field Values

    - #### OPTION_PREFERED

          static final String OPTION_PREFERED

      See Also:
        Constant Field Values

    - #### OPTION_DISCOURAGED

          static final String OPTION_DISCOURAGED

      See Also:
        Constant Field Values

    - #### OPTION_NOT_SPECIFIED

          static final String OPTION_NOT_SPECIFIED

      See Also:
        Constant Field Values

Copyright © 2020 JBoss by Red Hat. All rights reserved.